org.rexxla.bsf.engines.rexx

## Class RexxAnalyzeRegistry.AnalyzedCategory

- java.lang.Object
- - org.rexxla.bsf.engines.rexx.RexxAnalyzeRegistry.AnalyzedCategory

- Enclosing class:
    RexxAnalyzeRegistry

      protected static class RexxAnalyzeRegistry.AnalyzedCategory
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getCategory()`
    `java.lang.String[]` | `getRawBeanNames()`
    `int[]` | `getRefCount()`
    `long[]` | `getRefMemSize()`
    `java.lang.String` | `getStrBeanNameWithInfos()`
    `java.lang.String[]` | `getStrMemSizeSummary()`
    `java.lang.String` | `getStrNrRegistryEntries()`
    `java.lang.String[]` | `getStrRefCountSummary()`
    `java.lang.String` | `getStrTimeHeader()`
    `java.lang.String` | `toString()` Creates a string rendering of the analyzed BSF registry data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getStrNrRegistryEntries

          public java.lang.String getStrNrRegistryEntries()

    - #### getStrTimeHeader

          public java.lang.String getStrTimeHeader()

    - #### getRawBeanNames

          public java.lang.String[] getRawBeanNames()

    - #### getStrBeanNameWithInfos

          public java.lang.String getStrBeanNameWithInfos()

    - #### getCategory

          public java.lang.String[] getCategory()

    - #### getRefCount

          public int[] getRefCount()

    - #### getRefMemSize

          public long[] getRefMemSize()

    - #### getStrRefCountSummary

          public java.lang.String[] getStrRefCountSummary()

    - #### getStrMemSizeSummary

          public java.lang.String[] getStrMemSizeSummary()

    - #### toString

          public java.lang.String toString()

      Creates a string rendering of the analyzed BSF registry data.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string rendering of the anlyzed BSF registry data